Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.util.resources
Class ResourceFormatException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.batik.util.resources.ResourceFormatException

All Implemented Interfaces:
  Serializable

    public class ResourceFormatException

extends RuntimeException

Signals a format error in a resource bundle

See Also:
  Serialized Form

Field Summary
`protected String` | `className` The class name of the resource bundle requested
`protected String` | `key` The name of the specific resource requested by the user

Constructor Summary
`ResourceFormatException(String s, String className, String key)` Constructs a ResourceFormatException with the specified information.

Method Summary
`String` | `getClassName()` Gets parameter passed by constructor.
`String` | `getKey()` Gets parameter passed by constructor.
`String` | `toString()` Returns a printable representation of this object

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### className

    protected String className

  The class name of the resource bundle requested

### key

    protected String key

  The name of the specific resource requested by the user

Constructor Detail

### ResourceFormatException

    public ResourceFormatException(String s,
                                   String className,
                                   String key)

  Constructs a ResourceFormatException with the specified information. A detail message is a String that describes this particular exception.

  Parameters:
    `s` - the detail message
    `className` - the name of the resource class
    `key` - the key for the malformed resource.

Method Detail

### getClassName

    public String getClassName()

  Gets parameter passed by constructor.

### getKey

    public String getKey()

  Gets parameter passed by constructor.

### toString

    public String toString()

  Returns a printable representation of this object

  Overrides:
    `toString` in class `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.